Subject: Re: bug#65771: 29.1; yank-pop behaviour description in info

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 15:08:29 +0300

> From: Daniel Vianna <[email-masked]>
> Date: Wed, 6 Sep 2023 13:36:35 +1000
> 
> Started emacs with `emacs -Q`
>  C-h i, then browsed to Emacs Intro Tutorial, 10.3 Exercises with Yank and nthcdr

To clarify: this is in the "" manual, the node "yank nthcdr
Exercises".

After reading that node, I don't see where it describes the behavior
incorrectly.  What it describes is what M-y does after C-y, and that
didn't change.  What _have_ changed is that now M-y can be invoked
after a command other than C-y or M-y.  This new behavior is simply
not mentioned in that node.

> Of further interest is that `kill-ring` now stores more than just the strings, but also
> many font properties. I believe this should be noted in the tutorial, so it doesn't confuse
> readers.

When did C-y and M-y NOT yank text with its properties?  I thought it
was always the case?